#include "common.h"
#include <stdio.h>
#include "clientlib.h"

/*
 * A little test shell to illustrate linking and using clientlib.
 */

main()
{
    char buf[512];

    (void) server_init("huskers"); /* parameter is ignored by server_init */
    (void) printf("1 - putserver     2 - getserver     g - go\n");
    (void) printf("q - quit\n");
    for (;;) {
        (void) printf("Option ? ");
        (void) gets(buf);
        switch (buf[0]) {
        case '1' :
            (void) printf("PUT_SERVER>  ");
            (void) gets(buf);
            put_server(buf);
            break;
        case '2' :
            (void) get_server(buf, 512);
            (void) printf("%s", buf);
            break;
        case 'g' :
            (void) get_server(buf, 512);
            (void) printf("%s", buf);
            while (!((buf[0] == '.') && ((buf[1] == '\0') ||
                                         (buf[1] == '\r')))) {
                (void) get_server(buf, 512);
                (void) printf("%s\n", buf);
            }
            break;
        case 'q' :
            close_server();
            exit(0);
            break;
        default :
            (void) printf("1 - putserver     2 - getserver\n");
            (void) printf("q - quit\n");
            (void) printf("Option ? ");
            break;
        }
    }
}
