#ifndef lint
static char	*sccsid = "@(#)$Header: globals.c,v 1.10 91/02/02 15:55:37 sob Exp $";
#endif

/*
 * Common variables.
 */

#include "common.h"

#ifdef XTHREAD
char	*threadfile = NULL;
char    *threaddirpath = SPOOLDIR;
#endif

/*
 * Other random externals.
 */

char	**group_array;
char 	*actbuf;
int	num_groups;
int	ingroup = 0;
int	art_ptr;
int	num_arts;
#ifdef DYNAMIC_ART_ARRAY
int	*art_array = 0;		/* dynamic array */
unsigned int size_art_array = 0;	/* current size of art_array */
#else
int	art_array[MAX_ARTICLES];
#endif
FILE	*art_fp;
char	**ngpermlist;
int	ngpermcount;


/* NetNews/CD clientlib additions */

/* If this number of entries in this array is changed, HELP_ARRAY_MAX
 * in state.h must have a corresponding change also.
 */
char *help_text[] = {
      "100 The following commands are valid:\r\n", 
      "ARTICLE     BODY        GROUP\r\n",
      "HEAD        LAST        LIST\r\n",
      "NEXT        POST        QUIT\r\n",
      "STAT        NEWGROUPS   HELP\r\n",
      "IHAVE       NEWNEWS     SLAVE\r\n",
      "\r\nAdditionally, the following extensions are supported:\r\n\r\n",
      "SPOOLDIR  change to a different spool directory.r\n",
      "XHDR      retrieve a single header line from a range of articles.\r\n",
      "XTHREAD   retrieve trn thread file for the current group.\r\n",
      "\r\n",
      "Bugs to cddev@sterling.com\r\n",
      ".\r\n"
};

char response_text[NNTP_STRLEN];

STATE_CB state_cb;

char iso_extension[] = {'\0', '\0', '\0', '\0'};

/* Since a chdir by clientlib will confuse readers, need to retain full path */
char group_dir[MAXPATHLEN];
