#if __STDC__
 
/* clientlib.c */
extern char *getserverbyfile(char *file);
extern int server_init(char *machine);
extern int handle_server_response(int response, char *nntpserver);
extern void put_server(char *line);
extern int get_server(char *string, int size);
extern long rawcheck_server(char *string, int size);
extern long rawget_server(void *buf, long n);
extern void close_server(void);
/* active.c */
extern int read_groups(void);
extern int act_cmp(char **ptr1, char **ptr2);
extern int find_group(char *group, int num_groups, int *low_msg, int *high_msg);
/* ahbs.c */
extern int ahbs(int argc, char *argv[]);
extern int ahbs_read(void);
/* globals.c */
/* group.c */
extern int group(int argc, char *argv[]);
/* findpath.c */
extern int findpath(char *ngname, char *diskpath, char *libpath, int type);
/* help.c */
extern int help(int argc, char *argv[]);
/* ihave.c */
extern int ihave(int argc, char *argv[]);
/* list.c */
extern int list(int argc, char *argv[]);
extern int list_read(void);
/* misc.c */
extern FILE *open_valid_art(char *artname, char *id);
extern char *gethistent(char *msg_id, int lookup);
extern FILE *openartbyid(char *msg_id);
extern int check_ngperm(register FILE *fp);
extern int get_id(register FILE *art_fp, char *id);
extern int close_crnt(void);
extern int findart(char *artname);
extern int get_distlist(char ***array, char *list);
extern int get_nglist(char ***array, char *list);
extern char lower(int c);
extern char *histfile(char *hline);
extern int findhfdigit(char *fn);
extern int bcopy(register char *s, register char *d, register int l);
extern int determine_iso_extension(char *fname, char *extension);
/* newgroups.c */
extern int newgroups(int argc, char *argv[]);
extern int newgroups_read(void);
/* newnews.c */
extern int newnews(register int argc, char *argv[]);
/* nextlast.c */
extern int nextlast(int argc, char *argv[]);
/* ngmatch.c */
extern int ngmatch(int (*func)(), int dflt, char **ngspec, int ngspeccount, char **matchlist, int matchcount);
extern int restreql(register char *w, register char *s);
extern int s1strneql(register char *s1, register char *s2);
/* post.c */
extern int post(int argc, char *argv[]);
/* parsit.c */
extern int parsit(char *line, char ***array);
/* scandir.c */
extern int scan_dir(int low_msg, int high_msg);
extern int intcmp(register int *x, register int *y);
/* slave.c */
extern int slave(int argc, char *argv[]);
/* spldir.c */
extern int spldir(register int argc, char *argv[]);
extern int spldir_read(void);
/* spooldir.c */
extern void setspoolent(void);
extern void endspoolent(void);
extern int getspooldir(char *spname, struct spooldir *sdir);
extern struct spooldir *getspoolent(int *spldir_sts);
extern int is_available(struct spooldir *sdir);
/* state.c */
extern char *state(void);
/* strcasecmp.c */
extern int strcasecmp(char *s1, char *s2);
extern int strncasecmp(char *s1, char *s2, register int n);
/* time.c */
extern long dtol(char *date_ascii);
extern char *ltod(long date);
extern long local_to_gmt(long date);
extern long gmt_to_local(long date);
/* xhdr.c */
extern int xhdr(int argc, char *argv[]);
extern int xhdr_msg_id_read(void);
extern int xhdr_read(void);
/* xthread.c */
extern int xthread(int argc, char *argv[]);
extern char *thread_filename(char *group);
/* ../common/version.c */
 
#else
 
/* clientlib.c */
extern char *getserverbyfile(/*char *file*/);
extern int server_init(/*char *machine*/);
extern int handle_server_response(/*int response, char *nntpserver*/);
extern void put_server(/*char *line*/);
extern int get_server(/*char *string, int size*/);
extern long rawcheck_server(/*char *string, int size*/);
extern long rawget_server(/*void *buf, long n*/);
extern void close_server(/*void*/);
/* active.c */
extern int read_groups(/*void*/);
extern int act_cmp(/*char **ptr1, char **ptr2*/);
extern int find_group(/*char *group, int num_groups, int *low_msg, int *high_msg*/);
/* ahbs.c */
extern int ahbs(/*int argc, char *argv[]*/);
extern int ahbs_read(/*void*/);
/* globals.c */
/* group.c */
extern int group(/*int argc, char *argv[]*/);
/* findpath.c */
extern int findpath(/*char *ngname, char *diskpath, char *libpath, int type*/);
/* help.c */
extern int help(/*int argc, char *argv[]*/);
/* ihave.c */
extern int ihave(/*int argc, char *argv[]*/);
/* list.c */
extern int list(/*int argc, char *argv[]*/);
extern int list_read(/*void*/);
/* misc.c */
extern FILE *open_valid_art(/*char *artname, char *id*/);
extern char *gethistent(/*char *msg_id, int lookup*/);
extern FILE *openartbyid(/*char *msg_id*/);
extern int check_ngperm(/*register FILE *fp*/);
extern int get_id(/*register FILE *art_fp, char *id*/);
extern int close_crnt(/*void*/);
extern int findart(/*char *artname*/);
extern int get_distlist(/*char ***array, char *list*/);
extern int get_nglist(/*char ***array, char *list*/);
extern char lower(/*int c*/);
extern char *histfile(/*char *hline*/);
extern int findhfdigit(/*char *fn*/);
extern int bcopy(/*register char *s, register char *d, register int l*/);
extern int determine_iso_extension(/*char *fname, char *extension*/);
/* newgroups.c */
extern int newgroups(/*int argc, char *argv[]*/);
extern int newgroups_read(/*void*/);
/* newnews.c */
extern int newnews(/*register int argc, char *argv[]*/);
/* nextlast.c */
extern int nextlast(/*int argc, char *argv[]*/);
/* ngmatch.c */
extern int ngmatch(/*int (*func)(), int dflt, char **ngspec, int ngspeccount, char **matchlist, int matchcount*/);
extern int restreql(/*register char *w, register char *s*/);
extern int s1strneql(/*register char *s1, register char *s2*/);
/* post.c */
extern int post(/*int argc, char *argv[]*/);
/* parsit.c */
extern int parsit(/*char *line, char ***array*/);
/* scandir.c */
extern int scan_dir(/*int low_msg, int high_msg*/);
extern int intcmp(/*register int *x, register int *y*/);
/* slave.c */
extern int slave(/*int argc, char *argv[]*/);
/* spldir.c */
extern int spldir(/*register int argc, char *argv[]*/);
extern int spldir_read(/*void*/);
/* spooldir.c */
extern void setspoolent(/*void*/);
extern void endspoolent(/*void*/);
extern int getspooldir(/*char *spname, struct spooldir *sdir*/);
extern struct spooldir *getspoolent(/*int *spldir_sts*/);
extern int is_available(/*struct spooldir *sdir*/);
/* state.c */
extern char *state(/*void*/);
/* strcasecmp.c */
extern int strcasecmp(/*char *s1, char *s2*/);
extern int strncasecmp(/*char *s1, char *s2, register int n*/);
/* time.c */
extern long dtol(/*char *date_ascii*/);
extern char *ltod(/*long date*/);
extern long local_to_gmt(/*long date*/);
extern long gmt_to_local(/*long date*/);
/* xhdr.c */
extern int xhdr(/*int argc, char *argv[]*/);
extern int xhdr_msg_id_read(/*void*/);
extern int xhdr_read(/*void*/);
/* xthread.c */
extern int xthread(/*int argc, char *argv[]*/);
extern char *thread_filename(/*char *group*/);
/* ../common/version.c */
 
#endif
